f6bdfbdf747e

More
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Wed, 27 Mar 2024 15:17:47 -0400
parents c0175626e056
children 417f91fae3c2
branches/tags (none)
files bin/subtree-cpu-usage gitignore

Changes

--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/subtree-cpu-usage	Wed Mar 27 15:17:47 2024 -0400
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+x="$1"
+pidstat -h -u -p $(descendent-pids "$x" | tr -s '\n' ',' | sed -e 's/,$//') 5 1
--- a/gitignore	Wed Mar 27 11:49:51 2024 -0400
+++ b/gitignore	Wed Mar 27 15:17:47 2024 -0400
@@ -20,5 +20,6 @@
 sjl-sync-*.sh
 sjl-*-push.sh
 sjl-*-pull.sh
+*.sif
 
 *.waiting